
Redmine - Defect #9071

Can not change admin password

2011-08-17 00:04 - Juan Carlos  Lobo Araya

Status: Closed Start date: 2011-08-16

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I forgot the admin password, when i used ruby or rails command to change the admin password alertme this:  Storing outgoing

emails configuraton in config/email.yml is deprecated. You shoul now store it in config/configuration.yml using email_delivery settings

And then I continue with the problem, I can not connect using admin

History

#1 - 2011-08-17 09:07 - Etienne Massip

- Subject changed from Can not cahnge admin password to Can not change admin password

What's your Redmine version ? What if you set your email configuration in config/configuration.yml, as suggested (check RM wiki for more info) ?

#2 - 2011-08-17 19:23 - Juan Carlos  Lobo Araya

I cant see the version, I dont know how open the changelog file

How can I set the email configuration to config/configuration.yml

#3 - 2011-08-17 19:53 - Etienne Massip

Check RedmineInstall.

#4 - 2011-08-17 20:19 - Juan Carlos  Lobo Araya

I configure it on configuration.yml but continue with the problem, I can not connect with admin password

#5 - 2011-08-17 20:32 - Etienne Massip

What command do you run ?

#6 - 2011-08-17 20:38 - Juan Carlos  Lobo Araya

I try this

RAILS_ENV=production script/runner 'user = User.find(:first, :conditions => {:admin => true}) ; user.password, user.password_confirmation =

"my_password"; user.save!'

and also try with ruby but when tray to intro on webpage does not work

#7 - 2011-08-17 20:41 - Juan Carlos  Lobo Araya

I am  now running BitNami Redmine 1.2.1-0 virtual appliance

#8 - 2011-08-22 20:25 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Weird, indeed, got a "undefined variable my_password" error; run it in script/console, it should be fine.

Closing it as this is not a Redmine bug, please post your questions in forum.
